<?php echo $header; ?><?php echo $column_left; ?>
    <div id="content">
        <div class="page-header">
            <div class="container-fluid">
                <ul class="breadcrumb">
                    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                    <?php }; ?>
                </ul>
            </div>
        </div>
        <div class="container-fluid" id="css_framework">
            <?php echo $css_framework; ?>
            <?php if (isset($error_warning) && $error_warning) {
                ; ?>
                <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                </div>
            <?php }; ?>
            <?php if (isset($success) && $success) {
                ; ?>
                <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                </div>
            <?php }; ?>
            <div id="message_box"></div>

            <h4><?php echo $url_rewriting_title; ?></h4>

            <div class="panel shadow">
                <div class="panel-body">
                    <div id="w-progress-bar" class="bg-light p-4" style="display: none">
                        <p id="w-progress-bar-warning" style="color: #dc3545"><?php echo $text_warning_processing; ?></p>
                        <div class="progress">
                            <div id="progress-bar" class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width:100%">
                                <span>0%</span></div>
                        </div>
                    </div>

                    <ul class="main-menu main-menu-left">
                        <?php foreach ($main_menu as $menu) { ?>
                            <li class="menu-item">
                                <a class="menu-link <?php echo $menu['active'] == 1 ? ' active' : ''; ?>" href="<?php echo $menu['action']; ?>"><?php echo $menu['text']; ?></a>
                            </li>
                        <?php }; ?>
                    </ul>

                    <!-- BEGIN TOOL -->
                    <?php if ($template == 'app_tool') { ?>
                        <div class="p-4">
                            <div class="row">
                                <div class="col-sm-3 col-md-2">
                                    <ul class="nav nav-pills nav-stacked" id="nav-catalog">
                                        <?php foreach ($tool_setting as $key => $tool) { ?>
                                            <li><a href="#tab-catalog-<?php echo $key; ?>" data-toggle="tab" aria-expanded="true"><?php echo ${'tab_for_' . $key}; ?></a></li>
                                        <?php }; ?>
                                    </ul>
                                </div>
                                <div class="col-sm-9 col-md-10">
                                    <div class="tab-content">
                                        <?php foreach ($tool_setting as $key => $tool) { ?>
                                            <div class="tab-pane" id="tab-catalog-<?php echo $key; ?>">
                                                <?php $setting = $tool; ?><!-- set item -->
                                                <div class="card">
                                                    <div class="card-header py-3">
                                                        <div class="float-none">
                                                            SEO URL <?php echo mb_strtolower(${'tab_for_' . $key}); ?>
                                                        </div>
                                                    </div>
                                                    <div class="card-body">
                                                        <form id="form-tool-<?php echo $key; ?>" class="form-horizontal">
                                                            <input type="hidden" name="catalog_type" value="<?php echo $key; ?>">
                                                            <div class="form-group">
                                                                <label class="col-sm-3 col-md-3 col-lg-2 control-label"><?php echo $entry_language_source; ?></label>
                                                                <div class="col-sm-4 col-md-3 col-lg-2">
                                                                    <select name="language_id" class="form-control">
                                                                        <?php foreach ($languages as $language) { ?>
                                                                            <option value="<?php echo $language['language_id']; ?>" <?php echo $setting['language_id'] == $language['language_id'] ? ' selected="selected" ' : ''; ?>><?php echo $language['name']; ?></option>
                                                                        <?php }; ?>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <label class="col-sm-3 col-md-3 col-lg-2 control-label"><?php echo $entry_do_translit; ?></label>
                                                                <div class="col-sm-4 col-md-3 col-lg-2">
                                                                    <select name="do_translit" class="form-control">
                                                                        <?php if (isset($setting['do_translit']) && $setting['do_translit'] == 1) { ?>
                                                                            <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                                                                            <option value="0"><?php echo $text_disabled; ?></option>
                                                                        <?php } else { ?>
                                                                            <option value="1"><?php echo $text_enabled; ?></option>
                                                                            <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                                                                        <?php }; ?>
                                                                    </select>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <label class="col-sm-3 col-md-3 col-lg-2 control-label"><?php echo $entry_template; ?></label>
                                                                <div class="col-sm-9 col-md-9 col-lg-8">
                                                                    <?php $tpl = $setting['template'] ? $setting['template'] : '[' . $key . '_name]'; ?>
                                                                    <input type="text" name="template" value="<?php echo $tpl; ?>" class="form-control">
                                                                    <div class="form-text">
                                                                        <?php echo $text_available_template; ?>: <?php echo $tool_helper[$key]; ?>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-3 col-md-3 col-lg-2 control-label">&nbsp;</div>
                                                                <div class="col-sm-9 col-md-9 col-lg-8">
                                                                    <div class="checkbox">
                                                                        <input type="hidden" name="update_alias" value="0">
                                                                        <label><input type="checkbox" name="update_alias" value="1" <?php echo $setting['update_alias'] == 1 ? ' checked="checked"' : ''; ?>> <?php echo $text_update_alias; ?></label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-sm-12 col-md-offset-2 col-md-9">
                                                                    <button type="button" class="btn btn-primary" onclick="fnGenerate($(this))"
                                                                            data-form="<?php echo $key; ?>"
                                                                            data-catalog="<?php echo $key; ?>">
                                                                        <?php echo $button_generate; ?>
                                                                    </button>
                                                                    <button type="button" class="btn btn-outline-secondary" onclick="fnSaveSetting($(this))"
                                                                            data-form="<?php echo $key; ?>"
                                                                            data-catalog="<?php echo $key; ?>">
                                                                        <i class="fa fa-save"></i> <?php echo $button_save_settings; ?>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php }; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <script>
                            $('#nav-store li:first-child a').tab('show');
                            $('#nav-catalog li:first-child a').tab('show');

                            function clearAlert() {
                                $('.alert').remove();
                                $('#w-progress-bar').hide();
                            }

                            function fnSaveSetting(e) {
                                clearAlert();
                                $.ajax({
                                    type: 'POST',
                                    url: '<?php echo $action;?>',
                                    data: $('#form-tool-' + e.data('form')).serialize(),
                                    dataType: 'json',
                                    success: function (json) {
                                        if (json.status) {
                                            $('#message_box').after('<div class="alert alert-success"><i class="fa fa-exclamation-circle"></i> ' + json.message + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                        } else {
                                            $('#message_box').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json.message + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                        }

                                    }
                                });
                                return false;
                            }

                            function fnGenerate(e) {
                                clearAlert();
                                $('#progress-bar').css('width', '3%').attr('aria-valuenow', 3);
                                $('#progress-bar span').text('1%');
                                $('#w-progress-bar-warning').show();
                                $('#w-progress-bar').show();
                                var f = '#form-tool-' + e.data('form'), params;
                                params = 'filter_type=' + $(f + ' input[name=filter_type]').val() + '&' + $(f).serialize();
                                fnProcessing(0, params);
                            }

                            function fnProcessing(p, params = '') {
                                var d = 'progress=' + p;
                                if (params) {
                                    d += '&' + params;
                                }
                                $.ajax({
                                    type: 'POST',
                                    url: '<?php echo $processing;?>',
                                    data: d,
                                    dataType: 'json',
                                    success: function (json) {
                                        $('.alert').remove();

                                        if (json.status == 403) {
                                            $('#w-progress-bar').hide();
                                            $('#message_box').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json.message + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                            return false;
                                        }
                                        if (json.status == 100) {
                                            $('#w-progress-bar-warning').hide();
                                            $('#progress-bar').css('width', '100%').attr('aria-valuenow', 100).removeClass('active').css('opacity', '.7');
                                            $('#w-progress-bar').after('<div class="alert alert-info mt-3">' + json.message + '</div>').removeClass('active');
                                            $('#progress-bar span').text('100%');
                                        } else {
                                            fnProcessing(json.status);
                                            $('#progress-bar').css('width', json.status + '%').attr('aria-valuenow', json.status);
                                            $('#w-progress-bar').after('<div class="alert alert-info mt-3">' + json.message + '</div>');
                                            $('#progress-bar span').text(json.status + '%');
                                        }
                                    }
                                });
                            }

                            $(document).ready(function () {
                                $('.nav-tabs li').click(function (e) {
                                    e.preventDefault();
                                    $('.alert').remove();
                                    $('#w-progress-bar').hide();
                                });
                            });
                        </script> <!-- END TOOL-->

                        <!-- BEGIN SETTING -->
                    <?php } elseif ($template == 'app_setting') { ?>
                        <div class="row">
                            <div class="col-sm-12">
                                <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-setting" class="form-horizontal">
                                    <?php if (!isset($module_url_rewriting_status) || !$module_url_rewriting_status) { ?>
                                        <div class="alert alert-warning mb-0">
                                            <?php echo $text_status_help; ?>
                                        </div>
                                    <?php }; ?>
                                    <div class="form-group">
                                        <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                                        <div class="col-sm-10">
                                            <select name="module_url_rewriting_status" id="input-status" class="form-control input-inline">
                                                <?php if (isset($module_url_rewriting_status) && $module_url_rewriting_status) { ?>
                                                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                                                    <option value="0"><?php echo $text_disabled; ?></option>
                                                <?php } else { ?>
                                                    <option value="1"><?php echo $text_enabled; ?></option>
                                                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                                                <?php }; ?>
                                            </select>
                                            <button type="submit" form="form-setting" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary">
                                                <?php echo $button_save; ?>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div><!-- END SETTING -->

                        <!-- BEGIN EDITOR -->
                    <?php } elseif ($template == 'app_editor') { ?>

                        <div class="row">
                            <div class="col-sm-12">
                                <ul class="nav nav-pills-menu" id="nav-type">
                                    <li<?php echo $filter_type == 'product' ? ' class="active"' : ''; ?>><a onclick="fnFilter('product')"><?php echo $text_product; ?></a></li>
                                    <li<?php echo $filter_type == 'category' ? ' class="active"' : ''; ?>><a onclick="fnFilter('category')"><?php echo $text_category; ?></a></li>
                                    <li<?php echo $filter_type == 'manufacturer' ? ' class="active"' : ''; ?>><a onclick="fnFilter('manufacturer')"><?php echo $text_manufacturer; ?></a></li>
                                    <li<?php echo $filter_type == 'information' ? ' class="active"' : ''; ?>><a onclick="fnFilter('information')"><?php echo $text_information; ?></a></li>
                                    <li<?php echo $filter_type == 'other' ? ' class="active"' : ''; ?>><a onclick="fnFilter('other')"><?php echo $text_other; ?></a></li>
                                </ul>
                                <div class="border-1 p-3 mt-3">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <form id="form-filter" class="form-inline">
                                                <div class="form-group">
                                                    <input placeholder="<?php echo $entry_name; ?>" type="text" name="filter_name" value="<?php echo isset($filter_name) ? $filter_name : '' ?>" id="filterName" class="form-control" autocomplete="off">
                                                </div>
                                                <div class="form-group">
                                                    <input placeholder="<?php echo $entry_query; ?>" type="text" name="filter_query" value="<?php echo isset($filter_query) ? $filter_query : '' ?>" id="filterQuery" class="form-control" autocomplete="off">
                                                </div>
                                                <div class="form-group">
                                                    <input placeholder="<?php echo $entry_keyword; ?>" type="text" name="filter_keyword" value="<?php echo isset($filter_keyword) ? $filter_keyword : '' ?>" id="filterKeyword" class="form-control" autocomplete="off">
                                                </div>
                                                <input type="hidden" name="filter_type" value="<?php echo $filter_type; ?>">
                                                <div class="form-group">
                                                    <button type="button" onclick="fnFilter()" class="btn btn-info">
                                                        <i class="fa fa-search"></i> <?php echo $button_filter; ?>
                                                    </button>
                                                    <button type="button" id="btn-reset-filter" class="btn btn-warning">
                                                        <?php echo $button_reset; ?>
                                                    </button>
                                                    <button type="button" id="btn-add-new" class="btn btn-primary btn-sm" onclick="fnShowModal()">
                                                        <i class="fa fa-plus"></i> <?php echo $button_add; ?>
                                                    </button>
                                                </div>

                                            </form>
                                        </div>
                                    </div>
                                </div>

                                <!-- Modal -->
                                <div class="modal fade" id="modal-add-new" tabindex="-1" role="dialog" aria-labelledby="modal-add-new-label">
                                    <div class="modal-dialog modal-dialog-centered" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                <h4 class="modal-title text-center" id="modal-add-new-label"><?php echo $text_add_new_alias; ?></h4>
                                            </div>
                                            <div class="modal-body">
                                                <form action="<?php echo $add; ?>" method="post" enctype="multipart/form-data" id="form-seo-url" class="form-horizontal">
                                                    <div class="form-group required">
                                                        <label class="col-sm-3 control-label" for="input-query"><?php echo $entry_query; ?></label>
                                                        <div class="col-sm-9">
                                                            <input type="text" name="query" value="" placeholder="<?php echo $entry_query; ?>" id="input-query" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="form-group required">
                                                        <label class="col-sm-3 control-label" for="input-keyword"><?php echo $entry_keyword; ?></label>
                                                        <div class="col-sm-9">
                                                            <input type="text" name="keyword" value="" placeholder="<?php echo $entry_keyword; ?>" id="input-keyword" class="form-control">
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo $button_close; ?></button>
                                                <button type="button" class="btn btn-primary" onclick="fnAddNewAlias()"><?php echo $button_save; ?></button>
                                            </div>
                                        </div>
                                    </div>
                                    <script>
                                        function fnShowModal() {
                                            $('input[name=keyword]').val('');
                                            $('input[name=query]').val('');
                                            $('#form-seo-url').find('.text-danger').remove();
                                            $('#modal-add-new').modal('show');
                                        };

                                        function fnAddNewAlias() {
                                            $('#form-seo-url').find('.text-danger').remove();
                                            $.ajax({
                                                type: 'POST',
                                                url: $('#form-seo-url').attr('action').replace(/url_rewriting/g, 'url_rewriting/add'),
                                                data: $('#form-seo-url').serialize(),
                                                dataType: 'json',
                                                success: function (json) {
                                                    if (json.status) {
                                                        location = $('#form-seo-url').attr('action').replace(/url_rewriting/g, 'url_rewriting/app_editor');
                                                        return false;
                                                    }
                                                    if (json.keyword) {
                                                        $('input[name=keyword]').after('<div class="text-danger"><small>' + json.keyword + '</small></div>');
                                                    }
                                                    if (json.query) {
                                                        $('input[name=query]').after('<div class="text-danger"><small>' + json.query + '</small></div>');
                                                    }
                                                    if (json.error) {
                                                        $('.alert').remove();
                                                        $('#message_box').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json.error + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                                        $('#modal-add-new').modal('hide');
                                                    }
                                                }
                                            });
                                        }
                                    </script>
                                </div>

                                <?php if (isset($alert) && $alert) {
                                    ; ?>
                                    <div class="mt-2">
                                        <?php echo $alert; ?>
                                    </div>
                                <?php }; ?>
                                <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-seo-url-list">
                                    <div class="table-responsive mt-4">
                                        <table class="table table-hover" id="tbl-list">
                                            <thead>
                                            <tr>
                                                <td style="width: 1px;" class="text-center"><input type="checkbox" onclick="$('input[name*=\'selected\']').prop('checked', this.checked);"></td>
                                                <?php if ($filter_type != 'other') { ?>
                                                    <td class="text-left"><?php if ($sort == 'name') { ?><a href="<?php echo $sort_name; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_name; ?></a><?php } else { ?><a href="<?php echo $sort_name; ?>"><?php echo $column_name; ?></a><?php }; ?></td>
                                                <?php }; ?>
                                                <td class="text-left"><?php if ($sort == 'query') { ?><a href="<?php echo $sort_query; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_query; ?></a><?php } else { ?><a href="<?php echo $sort_query; ?>"><?php echo $column_query; ?></a><?php }; ?></td>
                                                <td class="text-left"><?php if ($sort == 'keyword') { ?><a href="<?php echo $sort_keyword; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_keyword; ?></a> <?php } else { ?><a href="<?php echo $sort_keyword; ?>"><?php echo $column_keyword; ?></a><?php }; ?></td>
                                                <td class="text-right"><?php echo $column_action; ?></td>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php if ($seo_urls) { ?>
                                                <?php foreach ($seo_urls as $seo_url) { ?>
                                                    <tr>
                                                        <td class="text-center">
                                                            <?php if (in_array($seo_url['url_alias_id'], $selected)) { ?>
                                                                <input type="checkbox" name="selected[]" value="<?php echo $seo_url['url_alias_id']; ?>" checked="checked">
                                                            <?php } else { ?>
                                                                <input type="checkbox" name="selected[]" value="<?php echo $seo_url['url_alias_id']; ?>">
                                                            <?php }; ?>
                                                        </td>
                                                        <?php if ($filter_type != 'other') { ?>
                                                            <td class="text-left"><?php echo $seo_url['name'] ? $seo_url['name'] : '-'; ?></td>
                                                        <?php }; ?>
                                                        <td class="text-left"><?php echo $seo_url['query']; ?></td>
                                                        <td class="text-left">
                                                            <div class="form-groupm-0 p-0">
                                                                <input id="seo_url_keyword<?php echo $seo_url['url_alias_id']; ?>" name="catalog[<?php echo $seo_url['url_alias_id']; ?>]" type="text" value="<?php echo $seo_url['keyword']; ?>" class="form-control">
                                                            </div>
                                                        </td>
                                                        <td class="text-right">
                                                            <button type="button" onclick="saveSeoUrl(<?php echo $seo_url['url_alias_id']; ?>)" data-url_alias_id="<?php echo $seo_url['url_alias_id']; ?>" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary btn-sm"><i class="fa fa-save"></i></button>
                                                            <button type="button" onclick="deleteSeoUrl(<?php echo $seo_url['url_alias_id']; ?>)" data-toggle="tooltip" title="<?php echo $button_delete; ?>" class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i></button>
                                                        </td>
                                                    </tr>
                                                <?php }; ?>
                                            <?php } else { ?>
                                                <tr>
                                                    <td class="text-center" colspan="5"><?php echo $text_no_results; ?></td>
                                                </tr>
                                            <?php }; ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </form>
                                <div class="row mt-2">
                                    <div class="col-sm-6">
                                        <a style="cursor: pointer" onclick="$('#tbl-list').find(':checkbox').prop('checked', true);"><?php echo $text_select_all; ?></a> /
                                        <a style="cursor: pointer" onclick="$('#tbl-list').find(':checkbox').prop('checked', false);"><?php echo $text_unselect_all; ?></a>
                                    </div>
                                    <div class="col-sm-6 text-right">
                                        <button type="button" class="btn btn-outline-primary" onclick="saveFormSeoUrlList()">
                                            <?php echo $button_save; ?>
                                        </button>
                                        <button type="button" class="btn btn-outline-danger" onclick="confirm('<?php echo $text_confirm; ?>') ? deleteFormSeoUrlList() : false;">
                                            <?php echo $button_delete_selected; ?>
                                        </button>
                                        <button type="button" class="btn btn-danger" onclick="confirm('<?php echo $text_confirm; ?>') ? deleteAll() : false;">
                                            <?php echo $button_delete_all; ?>
                                        </button>
                                    </div>
                                </div>
                                <div class="row mt-3">
                                    <div class="col-sm-6 text-left pagination-sm"><?php echo $pagination; ?></div>
                                    <div class="col-sm-6 text-right"><?php echo $results; ?></div>
                                </div>
                            </div>
                        </div>
                        <script>
                            function deleteAll() {
                                $.ajax({
                                    type: 'POST',
                                    url: $('#form-seo-url-list').attr('action').replace(/url_rewriting/g, 'url_rewriting/delete'),
                                    data: {'truncate': $('input[name=filter_type]').val()},
                                    dataType: 'json',
                                    success: function (json) {
                                        if (json.status) {
                                            location = $('#form-seo-url-list').attr('action').replace(/url_rewriting/g, 'url_rewriting/app_editor');
                                        } else {
                                            $('.alert').remove();
                                            $('#message_box').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json.message + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                        }
                                    }
                                });
                            }

                            function deleteFormSeoUrlList() {
                                $('#form-seo-url-list').attr('action', $('#form-seo-url-list').attr('action').replace(/url_rewriting/g, 'url_rewriting/delete')).submit();
                            }

                            function saveFormSeoUrlList() {
                                $('#form-seo-url-list').attr('action', $('#form-seo-url-list').attr('action').replace(/url_rewriting/g, 'url_rewriting/edit')).submit();
                            }

                            function deleteSeoUrl(url_alias_id) {
                                if (confirm('<?php echo $text_confirm;?>')) {
                                    $('.alert').remove();
                                    $.ajax({
                                        type: 'POST',
                                        url: $('#form-seo-url-list').attr('action').replace(/url_rewriting/g, 'url_rewriting/delete'),
                                        data: {'url_alias_id': url_alias_id},
                                        dataType: 'json',
                                        success: function (json) {
                                            if (json.status) {
                                                location = $('#form-seo-url-list').attr('action').replace(/url_rewriting/g, 'url_rewriting/app_editor');
                                            } else
                                                $('#message_box').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json.message + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                        }
                                    });
                                }
                            }

                            function saveSeoUrl(url_alias_id) {
                                $('.alert').remove();
                                var keyword = $('#seo_url_keyword' + url_alias_id).val();
                                if (keyword) {
                                    $.ajax({
                                        type: 'POST',
                                        url: $('#form-seo-url-list').attr('action').replace(/url_rewriting/g, 'url_rewriting/edit'),
                                        data: {'url_alias_id': url_alias_id, 'keyword': keyword},
                                        dataType: 'json',
                                        success: function (json) {
                                            if (json.status) {
                                                $('#message_box').after('<div class="alert alert-success"><i class="fa fa-exclamation-circle"></i> ' + json.message + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                            } else {
                                                $('#message_box').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json.message + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                                            }
                                        }
                                    });
                                }
                            }

                            $('#btn-reset-filter').on('click', function () {
                                location = '<?php echo $editor;?>&filter_type=' + $('input[name=filter_type]').val();
                            });

                            function fnFilter(filter_type = '') {
                                var url = '<?php echo $editor;?>';
                                if (filter_type) {
                                    url += '&filter_type=' + encodeURIComponent(filter_type);
                                    location = url
                                    return false;
                                }
                                var filter_name = $('input[name=filter_name]').val();
                                if (filter_name) {
                                    url += '&filter_name=' + encodeURIComponent(filter_name);
                                }
                                var filter_query = $('input[name=filter_query]').val();
                                if (filter_query) {
                                    url += '&filter_query=' + encodeURIComponent(filter_query);
                                }
                                var filter_keyword = $('input[name=filter_keyword]').val();
                                if (filter_keyword) {
                                    url += '&filter_keyword=' + encodeURIComponent(filter_keyword);
                                }
                                filter_type = $('input[name=filter_type]').val();
                                if (filter_type) {
                                    url += '&filter_type=' + encodeURIComponent(filter_type);
                                }
                                location = url;
                            }
                        </script> <!-- END EDITOR -->

                        <!-- BEGIN CRONTAB -->
                    <?php } elseif ($template == 'app_cron') { ?>

                        <div class="row pb-4">
                            <div class="col-sm-12 font-15">
                                <?php echo $text_corntab_information; ?>
                            </div>
                        </div><!-- END CRONTAB -->

                        <!-- BEGIN ABOUT -->
                    <?php } elseif ($template == 'app_about') { ?>
                        <div class="row pb-4">

                            <div class="col-sm-12 col-md-6">
                                <form action="<?php echo $action; ?>" method="post" id="form-license" enctype="multipart/form-data" class="form-horizontal">
                                    <div class="form-group">
                                        <?php if (isset($entry_license) && $entry_license) {
                                            ; ?>
                                            <label for="license_key" class="col-sm-5 control-label"><?php echo $entry_license; ?></label>
                                            <div class="col-sm-7">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" name="license_key" id="license_key" placeholder="License Key">
                                                    <span class="input-group-btn"> <button type="submit" form="form-license" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i></button> </span>
                                                </div>
                                            </div>
                                        <?php } else { ?>
                                            <label class="col-sm-5 control-label"><?php echo $text_license_key; ?></label>
                                            <div class="col-sm-7">
                                                <p class="form-control-static">
                                                    <a style="cursor: pointer" onclick="prompt('<?php echo $text_license_key; ?>', '<?php echo $license_key; ?>'); return false;"><?php echo $text_show; ?></a>
                                                </p>
                                            </div>
                                        <?php }; ?>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-5 control-label"><?php echo $text_app_name; ?></label>
                                        <div class="col-sm-7">
                                            <p class="form-control-static"><?php echo $app_name; ?></p>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-5 control-label"><?php echo $text_home_page; ?></label>
                                        <div class="col-sm-7">
                                            <p class="form-control-static"><?php echo $home_page; ?></p>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-5 control-label"><?php echo $text_support_email; ?></label>
                                        <div class="col-sm-7">
                                            <p class="form-control-static">
                                                <a href="mailto:<?php echo $support_email; ?>"><?php echo $support_email; ?></a>
                                            </p>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div> <!-- END ABOUT -->
                    <?php }; ?>
                </div>
                <div class="panel-footer text-left bg-light"><?php echo $text_support_message; ?></div>
            </div>
        </div>
    </div>
<?php echo $footer; ?>